<?php
// $Id: html5.admin.inc,v 1.2 2010/10/06 13:57:59 alliprice Exp $

/**
 * @file
 * The HTML5 module admin include which provides the settings form
 */

/**
 * Form builder. Configuration settings for our module
 *
 * @ingroup forms
 * @see system_settings_form()
 */
function html5_admin_settings() {
  $form = array();

  // IE Shiv setting
  $form['html5_ie_target_elements'] = array(
    '#type' => 'textarea',
    '#title' => t('IE Shiv Target Entities'),
    '#description' => t('Enter which html entities should be force recognised by Internet Explorers rendering engine, the values should be separated by commas without spaces.'),
    '#default_value' => variable_get('html5_ie_target_elements', 'abbr,article,aside,audio,canvas,datalist,details,dialog,eventsource,figure,footer,header,hgroup,mark,menu,meter,nav,output,progress,section,time,video'),
    '#required' => TRUE,
  );

  // Gecko rendering engine setting
  $form['html5_implement_gecko_fix'] = array(
    '#type' => 'checkbox',
    '#title' => t('Implement the fix for Gecko-based browsers with a Gecko version pre 1.9b5'),
    '#description' => t('This will implement a fix for a Gecko engine bug which prevents HTML5 elements from being recognised.'),
    '#default_value' => variable_get('html5_implement_gecko_fix', TRUE),
  );
  
  // Cleanup style and script tags from head and closure
  $form['html5_cleanup_style_script_tags'] = array(
    '#type' => 'checkbox',
    '#title' => t('Cleanup Style and Script tags'),
    '#description' => t('This will remove the type attribute from the Style and Script tags output in the header, and the closure variable.'),
    '#default_value' => variable_get('html5_cleanup_style_script_tags', FALSE),
  );

  return system_settings_form($form);
}
